.photo-masonry-columns {
    column-count: 2; 
    column-gap: 8px;
    column-fill: balance; 
}

.photo-card {
    position: relative;
    display: block;
    flex-direction: row;
    justify-content: center;
    border-radius: 16px;
    box-sizing: border-box;
    margin-bottom: 8px; 
}

.photo-card__image-wrapper {
    width: 100%;
    display: inline-block;
    position: relative;
    background-color: #f5f5f5;
    border-radius: 16px;
}

.photo-card__image {
    display: inline-block;
    width: 100%;
    height: auto;
    max-height: none;
    object-fit: contain;
    overflow: hidden;
    border-radius: 16px;
    cursor: pointer;
}

.photo-card__menu {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 8px;
    right: 8px;
    background-color: rgba(255, 255, 255, 0.7);
    color: #000;
}

.photo-card__menu:hover {
    background-color: #fff;
}

.photo-card__menu-icon {
    width: 18.75px;
    height: 18.75px;
}

.photo__empty-image {
    max-width: 150px;
    max-height: 150px;
    opacity: 0.1;
}

.photo__empty-text {
    color: #000;
    text-align: center;
    font-weight: 300;
    line-height: 1.5;
    font-size: clamp(16px, calc(16px + 0.25vw), 18px);
}

@media(min-width: 768px) {
    
    .photo-masonry-columns {
        column-count: 3; 
        column-gap: 20px;
    } 
    
    .photo-card__menu {
        width: 40px;
        height: 40px;
    }

    .photo-card {
        margin-bottom: 20px; 
    }

}